summaryrefslogtreecommitdiff
path: root/contrib/report.sh
diff options
context:
space:
mode:
authorChristian Grothoff <christian@grothoff.org>2012-08-27 18:52:23 +0000
committerChristian Grothoff <christian@grothoff.org>2012-08-27 18:52:23 +0000
commit28dab9e4ac0d9475ad9bbdddb4d2c62280337af8 (patch)
treef77d6815fa2869cc2f838f21b85957be25d71980 /contrib/report.sh
parent5dd4fc72e4f42495791c070e33b854b0d25fa55e (diff)
updating report.sh, removing obsolete hostlist scripts
Diffstat (limited to 'contrib/report.sh')
-rwxr-xr-xcontrib/report.sh62
1 files changed, 53 insertions, 9 deletions
diff --git a/contrib/report.sh b/contrib/report.sh
index 37a1c41ad..6e1d39949 100755
--- a/contrib/report.sh
+++ b/contrib/report.sh
@@ -156,6 +156,26 @@ else
fi
fi
+TEST=`$WHICH dpkg 2> /dev/null`
+if test -n "$TEST"; then
+ LINES=`dpkg -s libunistring-dev | grep Version | wc -l`
+ if test "$LINES" = "1"
+ then
+ VERSION=`dpkg -s libunistring-dev | grep Version | awk '{print $2}'`
+ echo "libunistring : libunistring3-dev-$VERSION.deb"
+ else
+ echo "libunistring : dpkg: libunistring3-dev not installed"
+ fi
+else
+ TEST=`$WHICH rpm 2> /dev/null`
+ if test -n "$TEST"; then
+ rpm -q unistring | sed -e "s/unistring-//" 2> /dev/null | \
+ awk '{print "libunistring : "$1.rpm}'
+ else
+ echo "libunistring : Test not available"
+ fi
+fi
+
TEST=`$WHICH gettext 2> /dev/null`
if test -n "$TEST"; then
gettext --version | head -n1 2> /dev/null | \
@@ -173,15 +193,7 @@ else
echo "libcurl : Not found"
fi
-
-TEST=`which qmake 2> /dev/null`
-if test -x "$TEST"; then
- qmake --version | tail -n 1 | awk '{print "Qt : "$4}'
-else
- echo "Qt : Not found"
-fi
-
-echo -n "MHD : "
+echo -n "libmicrohttpd : "
TMPFILE=`mktemp /tmp/mhd-version-testXXXXXX`
cat - >$TMPFILE.c <<EOF
#include <microhttpd.h>
@@ -197,4 +209,36 @@ gcc -o $TMPFILE $TMPFILE.c 2> /dev/null && $TMPFILE || echo "Not found"
rm -f $TMPFILE $TMPFILE.bin
+echo -n "GNU GLPK : "
+TMPFILE=`mktemp /tmp/glpk-version-testXXXXXX`
+cat - >$TMPFILE.c <<EOF
+#include <glpk.h>
+#include <stdio.h>
+int main()
+{
+ fprintf (stdout, "%u.%u\n", GLP_MAJOR_VERSION, GLP_MINOR_VERSION);
+ return 0;
+}
+EOF
+
+gcc -o $TMPFILE $TMPFILE.c 2> /dev/null && $TMPFILE || echo "Not found"
+rm -f $TMPFILE $TMPFILE.bin
+
+
+echo -n "GNUtls : "
+TMPFILE=`mktemp /tmp/gnutls-version-testXXXXXX`
+cat - >$TMPFILE.c <<EOF
+#include <gnutls/gnutls.h>
+#include <stdio.h>
+int main()
+{
+ fprintf (stdout, "%s\n", GNUTLS_VERSION);
+ return 0;
+}
+EOF
+
+gcc -o $TMPFILE $TMPFILE.c 2> /dev/null && $TMPFILE || echo "Not found"
+rm -f $TMPFILE $TMPFILE.bin
+
+
echo "--------------------------------------------------------------"